Bug 100810 - up2date wants to update redhat-config-printer when it isn't installed
up2date wants to update redhat-config-printer when it isn't installed
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: up2date (Show other bugs)
9
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Adrian Likins
Fanny Augustin
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-07-25 14:50 EDT by Darren Brierton
Modified: 2007-04-18 12:56 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-08-23 14:38:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Darren Brierton 2003-07-25 14:50:41 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686) Gecko/20030530 Galeon/1.3.5

Description of problem:
When I installed Ximian Desktop 2, XD2's gnome-cups-manager required the removal
of redhat-config-printer. However, whenever I run up2date it thinks I need to
reinstall/upgrade redhat-config-printer-0.6.47.9-1, even though doing so would
require the removal of large chunks of XD2.

$ rpm -Va --nofiles

returns nothing, so there don't seem to be any missing or conflicting
dependencies, and this is confirmed by

$ rpm -q --whatrequires redhat-config-printer
no package requires redhat-config-printer

Why is up2date doing this?

Version-Release number of selected component (if applicable):
up2date-3.1.23-1

How reproducible:
Always

Steps to Reproduce:
1. Install XD2 (uninstalls redhat-config-printer)
2. Run up2date
    

Actual Results:  up2date informs me that I need to install/update
redhat-config-printer

Expected Results:  No update/reinstallation of redhat-config-printer required

Additional info:

Running up2date -p does not help.

I am not the only one experiencing this. See:

http://bugzilla.ximian.com/show_bug.cgi?id=45641
Comment 1 Mark Richards 2003-12-24 10:18:43 EST
I have the same issue.

With the command:
rpm -Va --nofiles

I get:
Unsatisfied dependencies for redhat-config-printer-gui-0.6.47.11-1:
redhat-config-printer = 0.6.47.11-1

I am not certain how to resolve this dependency.  (New to RedHat and RPM).


Comment 2 Adrian Likins 2004-08-23 14:38:37 EDT
current versions fix this (both of Red Hat and Novell/Ximain Desktop)

Note You need to log in before you can comment on or make changes to this bug.